## golang-github-lestrrat-go-strftime 1.0.5

=== Makefile ===
.PHONY: bench realclean cover viewcover test lint

bench:
	go test -tags bench -benchmem -bench .
	@git checkout go.mod 
	@rm go.sum

realclean:
	rm coverage.out

test:
	go test -v -race ./...

cover:
	go test -v -race -coverpkg=./... -coverprofile=coverage.out ./...

viewcover:
	go tool cover -html=coverage.out

lint:
	golangci-lint run ./...

imports:
	goimports -w ./

=== debian/changelog ===
golang-github-lestrrat-go-strftime (1.0.5-3) unstable; urgency=medium

  * Mark the package as “Multi-Arch: foreign”.

 -- Stephen Kitt <skitt@debian.org>  Sat, 22 Jan 2022 22:40:40 +0100

golang-github-lestrrat-go-strftime (1.0.5-2) unstable; urgency=medium

  * Sourceful upload after NEW.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Jan 2022 15:08:48 +0100

golang-github-lestrrat-go-strftime (1.0.5-1) unstable; urgency=medium

  * Initial release. Closes: #1002858.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Jan 2022 12:54:59 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-lestrrat-go-strftime-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/lestrrat-go/strftime/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-lestrrat-go-strftime 1.0.6

=== debian/changelog ===
golang-github-lestrrat-go-strftime (1.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Apr 2022 19:05:39 +0200

=== debian/control ===
Source: golang-github-lestrrat-go-strftime
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-lestrrat-go-envload-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-strftime
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-strftime.git
Homepage: https://github.com/lestrrat-go/strftime
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/lestrrat-go/strftime

Package: golang-github-lestrrat-go-strftime-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-pkg-errors-dev,
         ${misc:Depends}
Description: fast strftime implementation for Go (library)
 This is a Go implementation of strftime, optimised for pattern re-use,
 and with support for as many conversion specifications as possible. It
 aims for POSIX compliance while still including widely-used non-POSIX
 format specifications such as "%f" or "%L" for milliseconds.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# The bench tests require other strftime implementations
export DH_GOLANG_EXCLUDES := bench

## golang-github-lestrrat-go-strftime 1.1.0

=== debian/changelog ===
golang-github-lestrrat-go-strftime (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Aug 2024 13:39:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-github-lestrrat-go-envload-dev,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-strftime
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-strftime.git
 Homepage: https://github.com/lestrrat-go/strftime

## golang-github-lestrrat-go-strftime 1.1.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,11 @@
 	go test -v -race ./...
 
 cover:
+ifeq ($(strip $(STRFTIME_TAGS)),)
 	go test -v -race -coverpkg=./... -coverprofile=coverage.out ./...
+else
+	go test -v -tags $(STRFTIME_TAGS) -race -coverpkg=./... -coverprofile=coverage.out ./...
+endif
 
 viewcover:
 	go tool cover -html=coverage.out

=== debian/changelog ===
golang-github-lestrrat-go-strftime (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 23 Aug 2025 20:16:21 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-github-lestrrat-go-envload-dev,
                golang-github-pkg-errors-dev,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-strftime
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lestrrat-go-strftime.git
 Homepage: https://github.com/lestrrat-go/strftime
